Gtk2::Buildable(3)

NAME
Gtk2::Buildable

HIERARCHY
  Glib::Interface
  +----Gtk2::Buildable

METHODS

  $buildable->add_child ($builder, $child, $type)

    * $builder (Gtk2::Builder)
    * $child (Glib::Object)
    * $type (string or undef)

  $buildable->set_buildable_property ($builder, key => $value, ...)

    * $builder (Gtk2::Builder)

  object = $buildable->construct_child ($builder, $name)
    * $builder (Gtk2::Builder)
    * $name (string)

  object = $buildable->get_internal_child ($builder, $childname)

    * $builder (Gtk2::Builder)
    * $childname (string)

  string = $buildable->get_name

  $buildable->set_name ($name)

    * $name (string)

  $buildable->parser_finished ($builder)
    * $builder (Gtk2::Builder)

SEE ALSO
Gtk2, Glib::Interface

COPYRIGHT
Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.